//////////////////////////////////////////////////////////////////////////////
//
// ***************************************************************************
// **                                                                       **
// ** Copyright (c) 1995-2004 Xilinx, Inc.  All rights reserved.            **
// **                                                                       **
// ** You may copy and modify these files for your own internal use solely  **
// ** with Xilinx programmable logic devices and Xilinx EDK system or       **
// ** create IP modules solely for Xilinx programmable logic devices and    **
// ** Xilinx EDK system. No rights are granted to distribute any files      **
// ** unless they are distributed in Xilinx programmable logic devices.     **
// **                                                                       **
// ***************************************************************************
//
//////////////////////////////////////////////////////////////////////////////
// Filename:          C:\james\audio_capture\drivers\fsl_new_core_v1_00_a\src\fsl_new_core.c
// Version:           1.00.a
// Description:       fsl_new_core (new FSL core) Driver Source File
// Date:              Mon Mar 21 20:42:20 2005 (by Custom Function Wizard)
//////////////////////////////////////////////////////////////////////////////

/*
* Note: This is an example driver file.
*/

#include "fsl_new_core.h"

/*
* This example driver writes all the data in the input arguments
* into the input FSL bus through blocking reads. Once all the inputs
* have been written, the output from the hardware implementation is read
* into output arguments through blocking read.
*
* CAUTION:
*
* The sequence of writes and reads in this function should be consistant
* with the sequence of reads and writes in the HDL implementation of this
* custom function.
*
* The example HDL (fsl_new_core.vhd) and C driver implementation (this file)
* outputted by the Custom Function Wizard assumes that all the input
* data words are required before the output can be computed.
*
* In case your application does not need to have all the inputs available,
* or if you want to optimize the FSL bus hardware, ensure that both
* the HDL (fsl_new_core.vhd) and the C driver (this file) are modifid to handle
* your requirements.
*
*/
void fsl_new_core(
       unsigned int* input_0,       /* Array size = 512 */
       unsigned int* output_0       /* Array size = 1 */
       )
{
   int i;
   for (i=0; i<512; i++)
   {
      WRITE_FSL_NEW_CORE(input_0[i]);
   }

   for (i=0; i<1; i++)
   {
      READ_FSL_NEW_CORE(output_0[i]);
   }
}
