%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% ECE532: Digital Hardware
%  
% Audio-to-MIDI converter
%
% Simulation Verification Scripts
% 
% This matlab script inserts same input as simulation test
% cases invoked under ModelSim testbench.  The output results
% are verified with MATLAB function to ensure that FFT core 
% and FFT wrapper is functioning correctly.
%
% @author  Sang-Joon Lee
%          James Chen
% @date    March 4, 2005
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% TEST CASE 1: Single Input Test 
% 
% This test case uses a simple 16 point test vector to in sine 
% waveform with amplitude of 128. The expected output is 
% shown in the figure.
% 
% Expected Output: Two peaks spiking with amplitude of 1024 as
% a mirror image. This reprsents sine signal in frequency domain
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
N=[1:1:16];

% Input data
inputData=[128 0 -128 0 128 0 -128 0 128 0 -128 0 128 0 -128 0];

% Perform 16 point-FFT
N16FFToutput=fft(inputData,16);

% Plot Expected Output
stem(N,N16FFToutput);
title('Test Case 1: Single Input, Frequency Domain'); 
xlabel('K'); ylabel('X[K]');
grid on;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% TEST CASE 4: low freuency input test
% 
% This test case uses a simple 16 point test vector to in sine 
% waveform. The expected output is shown in the figure.
% 
% Expected Output: Two peaks spiking as a mirror image. This 
% reprsents sine signal in frequency domain
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
N=[1:1:16];

% Input data
inputData=[724 1024 724 0 -724 -1024 -724 0 724 1024 724 0 -724 -1024 -724 0]

% Perform 16 point-FFT
N16FFToutput=fft(inputData,16);

% Plot Expected Output
figure;
stem(N,N16FFToutput);
title('Test Case 4: Low Frequency input, Frequency Domain'); 
xlabel('K'); ylabel('X[K]');
grid on;

