#################################################################
# Makefile generated by Xilinx Platform Studio 
# Project:C:\ECE532Project\audio_to_MIDI\system.xmp
#################################################################

XILINX_EDK_DIR = C:/Xilinx/EDK/

SYSTEM = system

MHSFILE = system.mhs

MSSFILE = system.mss

FPGA_ARCH = virtex2

DEVICE = XC2V2000FF896-4

LANGUAGE = vhdl

SEARCHPATHOPT =  -lp edk_user_repository/

SUBMODULE_OPT = 

PLATGEN_OPTIONS = -p $(DEVICE) -lang $(LANGUAGE) $(SEARCHPATHOPT) $(SUBMODULE_OPT)

LIBGEN_OPTIONS = -mhs $(MHSFILE) -p $(DEVICE) $(SEARCHPATHOPT) \
                   $(MICROBLAZE_0_LIBG_OPT)

MICROBLAZE_0_DEFAULT_OUTPUT_DIR = microblaze_0/code
MICROBLAZE_0_DEFAULT_OUTPUT = $(MICROBLAZE_0_DEFAULT_OUTPUT_DIR)/executable.elf

MICROBLAZE_BOOTLOOP = $(XILINX_EDK_DIR)/sw/lib/microblaze/mb_bootloop.elf
PPC405_BOOTLOOP = $(XILINX_EDK_DIR)/sw/lib/ppc405/ppc_bootloop.elf
BOOTLOOP_DIR = bootloops

MICROBLAZE_0_BOOTLOOP = $(BOOTLOOP_DIR)/microblaze_0.elf
MICROBLAZE_0_XMDSTUB = microblaze_0/code/xmdstub.elf

BRAMINIT_ELF_FILES =   $(MICROBLAZE_0_XMDSTUB) 
BRAMINIT_ELF_FILE_ARGS =   -pe microblaze_0  $(MICROBLAZE_0_XMDSTUB) 

ALL_USER_ELF_FILES = $(MICROBLAZE_0_DEFAULT_OUTPUT) 

SIM_CMD = vsim

BEHAVIORAL_SIM_SCRIPT = simulation/behavioral/$(SYSTEM).do

STRUCTURAL_SIM_SCRIPT = simulation/structural/$(SYSTEM).do

TIMING_SIM_SCRIPT = simulation/timing/$(SYSTEM).do

DEFAULT_SIM_SCRIPT = $(BEHAVIORAL_SIM_SCRIPT)

MIX_LANG_SIM_OPT = -mixed yes

SIMGEN_OPTIONS = -p $(DEVICE) -lang $(LANGUAGE) $(SEARCHPATHOPT) $(SUBMODULE_OPT) $(BRAMINIT_ELF_FILE_ARGS) $(MIX_LANG_SIM_OPT) -s mti

MICROBLAZE_0_XMDSTUB = microblaze_0/code/xmdstub.elf

LIBRARIES =  \
       microblaze_0/lib/libxil.a 

LIBSCLEAN_TARGETS = microblaze_0_libsclean 

PROGRAMCLEAN_TARGETS = microblaze_0_default_programclean 

CORE_STATE_DEVELOPMENT_FILES = 

WRAPPER_NGC_FILES = implementation/opb_emc_0_wrapper.ngc \
implementation/opb_ac97_controller_0_wrapper.ngc \
implementation/microblaze_0_wrapper.ngc \
implementation/mb_opb_wrapper.ngc \
implementation/lmb_bram_wrapper.ngc \
implementation/ilmb_cntlr_wrapper.ngc \
implementation/ilmb_wrapper.ngc \
implementation/dlmb_cntlr_wrapper.ngc \
implementation/dlmb_wrapper.ngc \
implementation/debug_module_wrapper.ngc \
implementation/dcm_module_1_wrapper.ngc \
implementation/dcm_module_0_wrapper.ngc \
implementation/rs232_wrapper.ngc \
implementation/fsl_ac97_sound_out_wrapper.ngc \
implementation/fsl_ac97_sound_in_wrapper.ngc \
implementation/fsl_v20_fsl1_to_microblazer_wrapper.ngc \
implementation/fsl_v20_microblazer_to_fsl1_wrapper.ngc \
implementation/audiofft1024_0_wrapper.ngc

POSTSYN_NETLIST = implementation/$(SYSTEM).ngc

SYSTEM_BIT = implementation/$(SYSTEM).bit

DOWNLOAD_BIT = implementation/download.bit

SYSTEM_ACE = implementation/$(SYSTEM).ace

UCF_FILE = data/$(SYSTEM).ucf

BMM_FILE = implementation/$(SYSTEM).bmm

FASTRUNTIME_OPT_FILE = etc/fast_runtime.opt
BITGEN_UT_FILE = etc/bitgen.ut

#################################################################
# SOFTWARE APPLICATION MICROBLAZE_0_DEFAULT
#################################################################

MICROBLAZE_0_DEFAULT_SOURCES = drivers/ac97_v1_00_a/src/xac97.c code/system.c 

MICROBLAZE_0_DEFAULT_HEADERS = 

MICROBLAZE_0_DEFAULT_CC = mb-gcc
MICROBLAZE_0_DEFAULT_CC_SIZE = mb-size
MICROBLAZE_0_DEFAULT_CC_OPT = -O0
MICROBLAZE_0_DEFAULT_CFLAGS = 
MICROBLAZE_0_DEFAULT_CC_SEARCH = # -B
MICROBLAZE_0_DEFAULT_LIBPATH = -L./microblaze_0/lib/ # -L
MICROBLAZE_0_DEFAULT_INCLUDES = -I./microblaze_0/include/ # -I
MICROBLAZE_0_DEFAULT_LFLAGS = # -l
MICROBLAZE_0_DEFAULT_CC_PREPROC_FLAG = # -Wp,
MICROBLAZE_0_DEFAULT_CC_ASM_FLAG = # -Wa,
MICROBLAZE_0_DEFAULT_CC_LINKER_FLAG = # -Wl,
MICROBLAZE_0_DEFAULT_LINKER_SCRIPT = 
MICROBLAZE_0_DEFAULT_LINKER_SCRIPT_FLAG = #-Wl,-T -Wl,$(MICROBLAZE_0_DEFAULT_LINKER_SCRIPT) 
MICROBLAZE_0_DEFAULT_CC_DEBUG_FLAG =  -g 
MICROBLAZE_0_DEFAULT_CC_PROFILE_FLAG = # -pg
MICROBLAZE_0_DEFAULT_CC_GLOBPTR_FLAG= # -mxl-gp-opt
MICROBLAZE_0_DEFAULT_MODE = xmdstub
MICROBLAZE_0_DEFAULT_LIBG_OPT = -$(MICROBLAZE_0_DEFAULT_MODE) microblaze_0
MICROBLAZE_0_DEFAULT_CC_SOFTMUL_FLAG= -mno-xl-soft-mul 
MICROBLAZE_0_DEFAULT_CC_START_ADDR_FLAG= -Wl,-defsym -Wl,_TEXT_START_ADDR=0x80200000
MICROBLAZE_0_DEFAULT_CC_STACK_SIZE_FLAG=  # -Wl,-defsym -Wl,_STACK_SIZE=
MICROBLAZE_0_DEFAULT_OTHER_CC_FLAGS= $(MICROBLAZE_0_DEFAULT_CC_GLOBPTR_FLAG)  \
                  $(MICROBLAZE_0_DEFAULT_CC_START_ADDR_FLAG) $(MICROBLAZE_0_DEFAULT_CC_STACK_SIZE_FLAG)  \
                  $(MICROBLAZE_0_DEFAULT_CC_SOFTMUL_FLAG)  \
                  $(MICROBLAZE_0_DEFAULT_CC_PREPROC_FLAG) $(MICROBLAZE_0_DEFAULT_CC_ASM_FLAG) $(MICROBLAZE_0_DEFAULT_CC_LINKER_FLAG)  \
                  $(MICROBLAZE_0_DEFAULT_LINKER_SCRIPT_FLAG) $(MICROBLAZE_0_DEFAULT_CC_DEBUG_FLAG) $(MICROBLAZE_0_DEFAULT_CC_PROFILE_FLAG) 
